{{- if .Values.accountsMs.enabled }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: accounts-ms
  namespace: {{ .Values.global.namespace }}
  labels:
    app: {{ .Values.global.appName }}
spec:
  selector:
    matchLabels:
      app: {{ .Values.global.appName }}
  template:
    metadata:
      labels:
        app: {{ .Values.global.appName }}
        tier: AccountsMs
    spec:
      containers:
        - name: accounts-ms
          image: {{ .Values.accountsMs.image }}
          ports:
            - name: http
              containerPort: 3000
          env:
            - name: HTTP_SERVER
              value: "0.0.0.0:3000"
            - name: AMQP_URL
              value: "amqp://amqp:5672"
            - name: REDIS
              value: "{{ .Values.redis.service.name }}:{{ .Values.redis.service.port }}"
            - name: DEBUG
              value: {{ .Values.global.debug | quote }}
          envFrom:
            - secretRef:
                name: db-credentials
      restartPolicy: Always
      imagePullSecrets:
        - name: pull-secret
---
apiVersion: v1
kind: Service
metadata:
  name: accounts-ms
  namespace: {{ .Values.global.namespace }}
  labels:
    app: {{ .Values.global.appName }}
spec:
  type: {{ .Values.accountsMs.service.type }}
  selector:
    app: {{ .Values.global.appName }}
    tier: AccountsMs
  ports:
    - name: http
      port: {{ .Values.accountsMs.service.httpPort }}
      targetPort: 3000
{{- end }}
